:root {
    --pico-table-border-color: rgba(0, 0, 0, 0.3) !important;
    --pico-table-row-stripped-background-color: rgba(111, 120, 135, 0.15);
}

[data-theme="dark"] {
    --pico-table-border-color: rgba(255, 255, 255, 0.4) !important;
    --pico-table-row-stripped-background-color: rgba(111, 120, 135, 0.12);
}

.widget-table-container {
    display: flex;
    flex-direction: column;
}
.widget-table-container table {
    width: 100%;
    margin-bottom: 1rem;
}
.pagination-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-top: 1rem;
}
.table-pagination {
    width: 100%;
}
.pagination {
    display: flex;
    align-items: center;
}
.pagination button {
    margin: 0 0.25rem;
}
#pageInfo {
    margin: 0 0.5rem;
    min-width: 100px;
    text-align: center;
}
#rowsPerPage {
    width: auto;
    display: inline-block;
    margin: 0 0.5rem;
}
.checkbox-cell {
    text-align: center;
}
th {
    cursor: pointer;
}
th.sortable::after {
    content: '\25B2\25BC';
    font-size: 0.8em;
    margin-left: 5px;
    opacity: 0.5;
}
th.sorted-asc::after {
    content: '\25B2';
    opacity: 1;
}
th.sorted-desc::after {
    content: '\25BC';
    opacity: 1;
}
.filter-input {
    width: 100%;
    margin-top: 0.5rem;
    padding: 0.25rem;
    font-size: 0.9em;
}
#filterRow {
    display: none;
}
